| Home · All Classes · All Namespaces · Modules · Functions · Files

# ContactAttributesMap Struct Reference
[Mapping types]

`#include <TelepathyQt4/Types>`

List of all members.

## Public Member Functions

- ContactAttributesMap ()
- ContactAttributesMap (const QMap< uint, QVariantMap > &a)
- ContactAttributesMap & operator= (const QMap< uint, QVariantMap > &a)

## Detailed Description

Mapping type generated from the specification. Convertible with QMap<uint, QVariantMap>, but needed to have a discrete type in the Qt4 type system.

Mapping returned by GetContactAttributes, representing a collection of Contacts and their requested attributes.

## Constructor & Destructor Documentation

ContactAttributesMap | ( |  | ) | `[inline]`

ContactAttributesMap | ( | const QMap< uint, QVariantMap > & | a | ) | `[inline]`

## Member Function Documentation

ContactAttributesMap& operator= | ( | const QMap< uint, QVariantMap > & | a | ) | `[inline]`